@import url("root.css");

*,*::after,*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
	font-family: 'Ubuntu', Arial, sans-serif;
    background: var(--background);
	color: var(--color-white);
    max-width: 100%;
    min-width: 320px;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
	padding-top: var(--header-height);
}

a {
    /* color: #434047; */
    color: var(--color-white);
    text-decoration: none;
    transition: all var(--transition);
}

a:hover, a:active {
    text-decoration: none;
    /* color: #19be2a; */
}

ul, ol {
    margin: 0;
    padding: 0;
    list-style: none;
    list-style-image: none;
}
h1, h2, h3 {
	padding: 16px 0px;
}

@media (min-width: 640px) {
h1 {
    line-height: 1.1;
    font-size: calc( 27px + (52 - 27) * ( 100vw - 640px ) / (1920 - 640));
}
h2 {
    line-height: 1.15;
    font-size: calc( 22px + (34 - 22) * ( 100vw - 640px ) / (1920 - 640));
}
h3 {
    font-size: calc( 21px + (30 - 21) * ( 100vw - 640px ) / (1920 - 640));
}
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
    /* font-size: 16px; */
    line-height: 1.4;
    /* max-width: 750px; */
}


.breadcrumb a {
    color: #000;
}

.wrap {
    margin: 0 calc( 8px + (48 - 8) * ( 100vw - 375px ) / (1920 - 375));
}

canvas, img, video {
    max-width: 100%;
    height: auto;
    box-sizing: border-box;
}

.button {
    display: block;
    color: #434047;
    border-radius: calc( 24px + (32 - 24) * ( 100vw - 375px ) / (1920 - 375));
    text-align: center;
    transition: all var(--transition);
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.button--medium {
    font-size: 22px;
    line-height: 1.15;
    letter-spacing: -0.01em;
    height: calc( 64px + (87 - 64) * ( 100vw - 375px ) / (1920 - 375));
    padding: 0 calc( 24px + (48 - 24) * ( 100vw - 375px ) / (1920 - 375));
    border-radius: calc( 64px + (87 - 64) * ( 100vw - 375px ) / (1920 - 375));
}
.button--active {
    background-color: transparent;
    border: 1px solid #434047;
	color: var(--color-white);
}


@media (min-width: 640px) {
.button--medium {
    line-height: 1.15;
    font-size: calc( 22px + (34 - 22) * ( 100vw - 640px ) / (1920 - 640));
}
.button--medium {
    height: calc( 64px + (87 - 64) * ( 100vw - 375px ) / (1920 - 375));
}
}

.form_input {
    line-height: 24px;
    border-radius: 3px;
    padding: 7px 15px 7px 15px;
    width: 100%;
    font-family: inherit;
    font-size: 15px;
    color: #222;
    background: #fff;
    border: 1px solid rgba(0,0,0,.1);
}
.form_textarea {
    display: block;
    width: 100%;
    border-radius: 3px;
    padding: 15px;
    font-family: inherit;
    font-size: 15px;
    color: #222;
    background: #fff;
    border: 1px solid rgba(0,0,0,.1);
}

/* preloader */
.preloader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 999999;
    display: flex;
    align-items: center;
    justify-content: center;  
    background: #000;
    transition: all 0.5s;
    opacity: 1;
}
.preloader .logo {
	/* max-width: 600px; */
	width: 100vw;
}
.preloader-remove {
    opacity: 0;
    z-index: -10;
}
/* preloader END*/

figure {  
	margin-bottom: 20px;
}
.wp-block-embed__wrapper {
	position: relative;
	padding-top: 56.25%;
}
.wp-block-embed__wrapper iframe {
	width: 100%;
	height: 100%;
	display: block;
	position: absolute;
	margin: 0;
	top: 0;
	left: 0;
	border: none;
}